summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/hgdistver/hgdistver-0.22.ebuild')
-rw-r--r--dev-python/hgdistver/hgdistver-0.22.ebuild25
1 files changed, 25 insertions, 0 deletions
diff --git a/dev-python/hgdistver/hgdistver-0.22.ebuild b/dev-python/hgdistver/hgdistver-0.22.ebuild
new file mode 100644
index 00000000000..1d995080993
--- /dev/null
+++ b/dev-python/hgdistver/hgdistver-0.22.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="utility lib to generate python package version infos from mercurial tags"
+HOMEPAGE="http://bitbucket.org/RonnyPfannschmidt/hgdistver/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm ~hppa ia64 ~mips x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris"
+IUSE="test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+RDEPEND=""
+
+python_test() {
+ py.test || die "Tests failed under ${EPYTHON}"
+}